searchData={"content_type":"text/markdown","items":[{"doc":"Classless Inter-Domain Routing (CIDR)","ref":"CIDR.html","title":"CIDR","type":"module"},{"doc":"Checks if two cidr objects are equal","ref":"CIDR.html#equal?/2","title":"CIDR.equal?/2","type":"function"},{"doc":"iex> d = CIDR.parse(\"10.0.0.0/24\")\n     %CIDR{first: {10, 0, 0, 0}, hosts: 256, last: {10, 0, 0, 255}, mask: 24}\n     iex> c = CIDR.parse(\"10.0.0.0/24\")\n     %CIDR{first: {10, 0, 0, 0}, hosts: 256, last: {10, 0, 0, 255}, mask: 24}\n     iex(21)> CIDR.equal?(d, c)\n     true","ref":"CIDR.html#equal?/2-examples","title":"Examples - CIDR.equal?/2","type":"function"},{"doc":"Returns a stream of all hosts in the range","ref":"CIDR.html#hosts/1","title":"CIDR.hosts/1","type":"function"},{"doc":"iex> CIDR.parse(\"192.168.0.0/31\") |> CIDR.hosts |> Enum.map(fn(x) -> x end)\n       [{192, 168, 0, 0}, {192, 168, 0, 1}]","ref":"CIDR.html#hosts/1-examples","title":"Examples - CIDR.hosts/1","type":"function"},{"doc":"Check whether the argument is a CIDR value.","ref":"CIDR.html#is_cidr?/1","title":"CIDR.is_cidr?/1","type":"function"},{"doc":"iex> CIDR.is_cidr?(\"192.168.1.254/32\")\n    true","ref":"CIDR.html#is_cidr?/1-examples","title":"Examples - CIDR.is_cidr?/1","type":"function"},{"doc":"Checks if an IP address is in the provided CIDR.\n\nReturns `{:ok, true}` if the address is in the CIDR range, `{:ok, false}` if\nit's not, and `{:error, reason}` if the second argument isn't a valid IP\naddress.","ref":"CIDR.html#match/2","title":"CIDR.match/2","type":"function"},{"doc":"Throwing version of match/2, raises `ArgumentError` on error.","ref":"CIDR.html#match!/2","title":"CIDR.match!/2","type":"function"},{"doc":"","ref":"CIDR.html#number2list/5","title":"CIDR.number2list/5","type":"function"},{"doc":"","ref":"CIDR.html#number2tuple/2","title":"CIDR.number2tuple/2","type":"function"},{"doc":"Parses a bitstring into a CIDR struct","ref":"CIDR.html#parse/1","title":"CIDR.parse/1","type":"function"},{"doc":"Returns a list of deaggregated networks from a IP range in the format of \"192.168.1.0-192.168.2.0\".","ref":"CIDR.html#parse_range/1","title":"CIDR.parse_range/1","type":"function"},{"doc":"iex> CIDR.parse_range(\"192.168.1.0-192.168.2.0\")\n       [\n         %CIDR{first: {192, 168, 1, 0}, hosts: 256, last: {192, 168, 1, 255}, mask: 24},\n         %CIDR{first: {192, 168, 2, 0}, hosts: 1, last: {192, 168, 2, 0}, mask: 32}\n       ]","ref":"CIDR.html#parse_range/1-examples","title":"Examples - CIDR.parse_range/1","type":"function"},{"doc":"Splits an existing cidr into smaller blocks","ref":"CIDR.html#split/2","title":"CIDR.split/2","type":"function"},{"doc":"iex> CIDR.parse(\"192.168.0.0/24\") |> CIDR.split(25) |> Enum.map(&(&1))\n       [%CIDR{first: {192, 168, 0, 0}, hosts: 128, last: {192, 168, 0, 127}, mask: 25},\n        %CIDR{first: {192, 168, 0, 128}, hosts: 128, last: {192, 168, 0, 255}, mask: 25}]","ref":"CIDR.html#split/2-examples","title":"Examples - CIDR.split/2","type":"function"},{"doc":"Checks if a is a subnet of b","ref":"CIDR.html#subnet?/2","title":"CIDR.subnet?/2","type":"function"},{"doc":"Checks if a is a supernet of b","ref":"CIDR.html#supernet?/2","title":"CIDR.supernet?/2","type":"function"},{"doc":"","ref":"CIDR.html#tuple2number/2","title":"CIDR.tuple2number/2","type":"function"}],"producer":{"name":"ex_doc","version":[48,46,51,52,46,49]}}